xquery version "3.1";

module namespace t="http://ahikar.sub.uni-goettingen.de/ns/tei2html/motifs/tests";

declare namespace tei="http://www.tei-c.org/ns/1.0";

import module namespace tei2html-motifs="http://ahikar.sub.uni-goettingen.de/ns/tei2html/motifs" at "../modules/tei2html-motifs.xqm";
import module namespace test="http://exist-db.org/xquery/xqsuite" at "resource:org/exist/xquery/lib/xqsuite/xqsuite.xql";

declare
    %test:assertTrue
function t:is-line-in-motif-true()
as xs:boolean {
    let $line := local:get-sample-file-motifs()//tei:ab[7]
    return
        tei2html-motifs:is-line-in-motif($line)
};

declare
    %test:assertFalse
function t:is-line-in-motif-false()
as xs:boolean {
    let $line := local:get-sample-file-motifs()//tei:ab[1]
    return
        tei2html-motifs:is-line-in-motif($line)
};

declare function local:get-sample-file-motifs()
as element() {
    <body xmlns="http://www.tei-c.org/ns/1.0" xml:lang="syc">
        <!-- Fall 1: Kommentar spannt sich über ganze Zeile -->
        <ab>
                <?oxy_comment_start author="simon" timestamp="20200829T213631+0200" comment="adherence_wisdom"?>
                Daß alle unsere Erkenntnis mit der Erfahrung anfange, daran 
                <?oxy_comment_end?>
        </ab>
        
        <!-- Fall 2.1: Kommentar spannt sich über Teile der Zeile, am Anfang beginnend -->
        <ab>
                <?oxy_comment_start author="simon" timestamp="20200829T213631+0200" comment="adherence_wisdom"?>
                Wenn aber gleich alle unsere Erkenntnis mit der Erfahrung anhebt,<?oxy_comment_end?> so entspringt sie darum doch nicht eben
        </ab>
        
        <!-- Fall 2.2: Kommentar spannt sich über Teile der Zeile, irgendwo beginnend -->
        <ab>Es ist also wenigstens eine der <?oxy_comment_start author="simon" timestamp="20200829T213631+0200" comment="adherence_wisdom"?>näheren Untersuchung<?oxy_comment_end?> noch benötigte und nicht auf den</ab>
        
        <ab/>
        <ab/>
        
        <!-- Fall 3: Kommentar erstreckt sich über mehrere Zeilen -->
        <ab>Daß alle unsere Erkenntnis mit der 
            <?oxy_comment_start author="simon" timestamp="20200829T213631+0200" comment="adherence_wisdom"?>
            Erfahrung anfange, daran </ab>
        <ab>Wenn aber gleich alle unsere Erkenntnis mit der Erfahrung anhebt, so entspringt sie darum doch nicht eben</ab>
        <ab>Es ist also wenigstens eine der näheren Untersuchung<?oxy_comment_end?> noch benötigte und nicht auf den</ab>  
    </body>
};
